openoffic启动不了,xgl和kde下却可以用

OOo,TeX,KO,ABI,GIMP,Picasa,ProE,QCAD,Inkscape,Kicad,Eagle
回复
3dudu
帖子: 28
注册时间: 2007-06-24 16:08
送出感谢: 0
接收感谢: 0

openoffic启动不了,xgl和kde下却可以用

#1

帖子 3dudu » 2007-09-24 14:42

所有open**软件在GNOME下都启动不了,启动画面出现一下就消失了
在xgl和kde下是可以启动使用的
springlarry
帖子: 286
注册时间: 2006-06-08 8:53
送出感谢: 0
接收感谢: 0

#2

帖子 springlarry » 2007-09-24 15:38

我的也是这样,奇怪。
头像
依寻依然
帖子: 1617
注册时间: 2006-10-31 14:49
送出感谢: 0
接收感谢: 0

#3

帖子 依寻依然 » 2007-09-24 17:21

和scin冲突,很老的问题
Borders are meant to be crossed
Z39754
帖子: 22
注册时间: 2007-08-28 2:00
送出感谢: 0
接收感谢: 0
联系:

#4

帖子 Z39754 » 2007-10-01 9:44

那怎么解决这个问题呢 ???我今天也遇到这个问题了
头像
lyre
帖子: 77
注册时间: 2005-06-28 18:08
送出感谢: 0
接收感谢: 0

#5

帖子 lyre » 2007-10-01 16:45

我也遇到过一样的问题,但是我的是nvidia驱动的问题,重装驱动就好了
头像
依寻依然
帖子: 1617
注册时间: 2006-10-31 14:49
送出感谢: 0
接收感谢: 0

#6

帖子 依寻依然 » 2007-10-01 17:45

临时解决方案:

代码: 全选

sudo gedit /etc/gtk-2.0/
注释掉下面两行

代码: 全选

"/usr/lib/gtk-2.0/2.10.0/immodules/im-scim.so" 
"scim" "SCIM Input Method" "scim" "/usr/share/locale" ""
用#注释,即为

代码: 全选

#"/usr/lib/gtk-2.0/2.10.0/immodules/im-scim.so" 
#"scim" "SCIM Input Method" "scim" "/usr/share/locale" ""
先用着吧
Borders are meant to be crossed
Z39754
帖子: 22
注册时间: 2007-08-28 2:00
送出感谢: 0
接收感谢: 0
联系:

#7

帖子 Z39754 » 2007-10-02 22:19

论坛里面原来有这方面的帖子 那天我的电脑出现这个问题后 在论坛里面搜了下 结果真是幸运亚
忘记是在那里看到这个方法的了
把那位高人(记不得称呼不要见怪哈)说的解决办法转到这里来哈:
有可能是openoffice和scim冲突了(反正我的是这样):
sudo gedit /etc/X11/xinit/xinput.d/scim
GTK_IM_MODULE="xim"
QT_IM_MODULE="xim"

或者用fcitx
头像
依寻依然
帖子: 1617
注册时间: 2006-10-31 14:49
送出感谢: 0
接收感谢: 0

#8

帖子 依寻依然 » 2007-10-02 23:47

Z39754 写了:论坛里面原来有这方面的帖子 那天我的电脑出现这个问题后 在论坛里面搜了下 结果真是幸运亚
忘记是在那里看到这个方法的了
把那位高人(记不得称呼不要见怪哈)说的解决办法转到这里来哈:
有可能是openoffice和scim冲突了(反正我的是这样):
sudo gedit /etc/X11/xinit/xinput.d/scim
GTK_IM_MODULE="xim"
QT_IM_MODULE="xim"

或者用fcitx
这样修改的话,在普通gtk和qt程序里面scim输入法就不能光标跟随了
Borders are meant to be crossed
yuwensheng
帖子: 59
注册时间: 2006-09-01 18:07
送出感谢: 1 次
接收感谢: 0
联系:

感谢依寻兄,我的今天也是出现了这个问题,用你的法子临时解决再说,完善一点

#9

帖子 yuwensheng » 2007-10-08 22:20

/etc/gtk-2.0$ ls
gdk-pixbuf.loaders gtk.immodules gtk.immodules.32
gdk-pixbuf.loaders.32

gtk.immodules gtk.immodules.32里面修改
回复

回到 “办公、图像、机械电子设计等”